---
search:
  tags:
    - GitHub
    - GET
seo:
  description: >-
    Returns the repositories the GitHub… Reference for the GET
    /integration/github/installations/{installation_id}/repositories endpoint in
    the Platform API.
sidebar:
  label: List installation repositories
  badge: GET
title: List installation repositories
type: openapi-operation
---
Returns the repositories the GitHub installation can read now.

`GET /integration/github/installations/{installation_id}/repositories`

**Responses**

- `200` — Live GitHub repositories retrieved
- `422` — Installation is inactive or inaccessible
- `503` — GitHub is temporarily unavailable
- `default` — Error

Response example, 200:

```json
{
  "records": [
    {
      "id": "string",
      "owner": "string",
      "name": "string",
      "full_name": "string",
      "private": true,
      "default_branch": "string",
      "archived": true
    }
  ],
  "page": 1,
  "per_page": 1,
  "total_count": 0,
  "next_page": 1
}
```
